Subject: Re: bug#2293: 23.0.90; lazy-completion-table broken for bibtex-mode
From: "Roland Winkler" <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Feb 2009 18:08:04 +0100

On Thu Feb 12 2009 Glenn Morris wrote:
> emacs -Q foo.bib
> M-x bibtex-search-entry RET TAB
> works fine for me.
> 
> Suggest maintainer-clean + bootstrap (unless you were talking about
> something else).

The variables bibtex-reference-keys and bibtex-strings are
initialized by lazy-completion-table. And in several instances,
bibtex-mode was using nlistp to test whether these variables have
their initial values. That was working fine at some point but not
anymore.  lazy-completion-table was already fixed quite some time
ago by Stefan in order not to use listp internally for such a test.
Now I've updated bibtex-mode too, so that it uses functionp.